## fonts-ebgaramond-initials 0.016%2Bgit20230414

=== debian/control ===
Source: fonts-ebgaramond-initials
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders:
 Agathe Porte <gagath@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 fontforge,
 python3-fontforge,
 ttfautohint,
Standards-Version: 4.7.2
Homepage: http://www.georgduffner.at/ebgaramond/
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-ebgaramond-initials.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-ebgaramond-initials
Rules-Requires-Root: no

Package: fonts-ebgaramond-initials
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: EB Garamond Initials OpenType fonts
 EB Garamond is an open source project to create a revival of Claude Garamont’s
 famous humanist typeface from the mid-16th century. This package contains
 OpenType fonts.
Breaks:
 fonts-ebgaramond-extra (<< 0.016+git20230418-1),
Replaces:
 fonts-ebgaramond-extra (<< 0.016+git20230418-1),

Package: fonts-ebgaramond-initials-extra
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: EB Garamond Initials TrueType and web fonts
 EB Garamond is an open source project to create a revival of Claude Garamont’s
 famous humanist typeface from the mid-16th century. This package contains
 TrueType fonts (.ttf) and webfonts (.woff).
Breaks:
 fonts-ebgaramond-extra (<< 0.016+git20230418-1),
Replaces:
 fonts-ebgaramond-extra (<< 0.016+git20230418-1),
