## fonts-ebgaramond-initials 0.016+git20230414

=== debian/changelog ===
fonts-ebgaramond-initials (0.016+git20230414-2) unstable; urgency=medium

  * Team upload

  [ Agathe Porte ]
  * Packages break+replace previous fonts-ebgaramond-extra (Closes: #1102712)
  * Introduce d/salsa-ci.yml

 -- Bastian Germann <bage@debian.org>  Fri, 19 Sep 2025 22:03:24 +0200

fonts-ebgaramond-initials (0.016+git20230414-1) unstable; urgency=medium

  * Initial release. (Closes: #1099566)

 -- Agathe Porte <gagath@debian.org>  Fri, 14 Mar 2025 04:22:23 +0100
